#include "stdafx.h"
#include "4App.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

MC4App::MC4App ()
{
} // MC4App::MC4App.

MC4App::~MC4App ()
{
} // MC4App::~MC4App.

void MC4App::InStream (CArchive& ar)
{
//----- 05.07.30 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	// _xZkqqHx_jHhAiOiGiDfEiDeDiDfJiBeC_xHqqkZx_
	ar >> m_ptPaperSize;
//----- 05.07.30 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----

	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	WORD wDevNamesSz;
	ar >> wDevNamesSz;
	m_vDevNames.resize(wDevNamesSz);
	if (wDevNamesSz != 0)
	{
		ar.Read(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	WORD wDevModeSz;
	ar >> wDevModeSz;
	m_vDevMode.resize(wDevModeSz);
	if (wDevModeSz != 0)
	{
		ar.Read(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC4App::InStream.

void MC4App::OutStream (CArchive& ar)
{
//----- 05.07.30 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	// _xZkqqHx_jHhAiOiGiDfEiDeDiDfJiBeC_xHqqkZx_
	ar << m_ptPaperSize;
//----- 05.07.30 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----

	//----- _xZkqqHx_iDhGiDiKiDjDiDfOiPoOjFpBiCmMjDmHiCnNiNjOiCnNiPiIjHjN_xHqqkZx_ -----
	ar << WORD(m_vDevNames.size());
	if (!m_vDevNames.empty())
	{
		ar.Write(&m_vDevNames.front(), (long)m_vDevNames.size());
	}
	ar << WORD(m_vDevMode.size());
	if (!m_vDevMode.empty())
	{
		ar.Write(&m_vDevMode.front(), (long)m_vDevMode.size());
	}
} // MC4App::OutStream.

